petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkGetVertexOffset

Get the offset for accessing the variable associated with the given vertex from the local subvector.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkGetVertexOffset(DM dm,PetscInt p,PetscInt *offset)

Not Collective

### Input Parameters

| dm | - The DMNetwork object
| p | - the vertex point

### Output Parameters

offset -the offset

### See Also

DMNetworkGetVariableGlobalOffset, DMGetLocalVector

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages